# ecom: HomeController Class Reference

All Data Structures Namespaces Files Functions Variables
HomeController Class Reference
Inheritance diagram for HomeController:

## Public Member Functions

| run ()
Public Member Functions inherited from AHttpController
| __construct ($context, $params)
| start ()
| run ()
| __get ($key)
Public Member Functions inherited from AController
| __construct ($context, $params)
| start ()

## Additional Inherited Members

Protected Member Functions inherited from AHttpController
| render ($viewFile)
Protected Attributes inherited from AController
| $params
| $context

## Detailed Description

Definition at line 5 of file HomeController.php.

## Member Function Documentation

run | ( |  | ) |

Definition at line 7 of file HomeController.php.

{
$this->render("home.tpl.php");
}
Tools\AHttpController\render
render($viewFile)
Definition: AHttpController.php:55

The documentation for this class was generated from the following file:

- core/controllers/HomeController.php